<?php

declare(strict_types=1);

namespace SmsNotifier\Facade;

use SmsNotifier\Data\NotificationData;
use SmsNotifier\Data\PluginData;
use SmsNotifier\Factory\MessageTextFactory;
use SmsNotifier\Service\Logger;
use SmsNotifier\Service\OptionsManager;
use SmsNotifier\Service\SmsNumberProvider;
use Twilio\Rest\Client;


class PluginOxxoNotifierFacade extends AbstractOxxoOperationsFacade
{
    /**
     * @var Client
     */
    private $twilioClient;

    /**
     * @var PluginData
     */
    private $pluginData;

    public function __construct(
        Logger $logger,
        MessageTextFactory $messageTextFactory,
        SmsNumberProvider $smsNumberProvider,
        OptionsManager $optionsManager
    ) {
        parent::__construct($logger, $messageTextFactory, $smsNumberProvider);
        // load config data
        $this->pluginData = $optionsManager->load();
    }

  
    /*
     * Send WhatsApp through the CallBell API
     */
    protected function sendWhatsApp(
        string $message,
    ): void {
        $this->logger->debug('Enviando mensaje desde twilio notifier facade: '.$message);

        
    }

    /*
     * Phone number of sender - required by Twilio. In this plugin, we only load it from config.
     */
    private function getSenderNumber(): string
    {
        return $this->pluginData->twilioSmsNumber;
    }
}
